summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJouke Witteveen <j.witteveen@gmail.com>2012-06-12 22:48:17 +0200
committerJouke Witteveen <j.witteveen@gmail.com>2012-06-12 22:48:17 +0200
commit4255f154975cc07d3d2a1e5af9a6dd37efac486d (patch)
treef6848f5ef1bdc13ac383ca8fa14a17a5116135b5 /scripts
parent2e15ac5e029f1ef43dc38b33eb0f2dc9b8f5a4ba (diff)
downloadnetctl-4255f154975cc07d3d2a1e5af9a6dd37efac486d.tar.gz
netctl-4255f154975cc07d3d2a1e5af9a6dd37efac486d.tar.xz
Don't wait unnecessarily on bring_interface up
Good drivers indicate when they're up by the IFF_UP flag. This is the end of the (undocumented) UP_SLEEP variable and introduction of the UP_TIMEOUT (in seconds, default: 5) variable. This has 'noticeable speed improvement'-potential.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/wifi-menu2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/wifi-menu b/scripts/wifi-menu
index 1140b85..1f0e423 100755
--- a/scripts/wifi-menu
+++ b/scripts/wifi-menu
@@ -206,7 +206,7 @@ fi
cd / # We do not want to spawn anything that can block unmounting
is_interface "$INTERFACE" || exit_fail "No such interface: $INTERFACE"
-if [[ -z "$(ip link show dev "$INTERFACE" up 2> /dev/null)" ]]; then
+if ! interface_is_up "$INTERFACE"; then
[[ -f "$IFACE_DIR/$INTERFACE" ]] && . "$IFACE_DIR/$INTERFACE"
bring_interface up "$INTERFACE" || exit_fail "Interface unavailable"
SPAWNED_INTERFACE=1